package com.iotechn.unimall.data.enums;

public enum CarStatusType {

    STATUS10(10, "待审核"),
    STATUS12(12, "待完善"),
    STATUS13(13, "待接单"),
    STATUS15(15, "待匹配"),
    STATUS20(20, "待发运"),
    STATUS25(25, "待签运输合同"),
    STATUS27(27, "待付粮款"),
    STATUS30(30, "已发运"),
    STATUS35(35, "已驳回"),
    STATUS40(40, "已接货"),
    STATUS45(45, "待付运费"),
    STATUS50(50, "待结算"),
    STATUS70(70, "待付款"),
    STATUS80(80, "已付款"),
    STATUS90(90, "已拒接"),
    STATUS100(100, "已隐藏")
    ;

    CarStatusType(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private  int code;

    private  String msg;

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
